Class: Aws::ResourceExplorer2::Types::ListResourcesInput

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[:filters]

Instance Attribute Summary collapse

Instance Attribute Details

#filtersTypes::SearchFilter

An array of strings that specify which resources are included in the results of queries made using this view. When you use this view in a Search operation, the filter string is combined with the search's QueryString parameter using a logical AND operator.

For information about the supported syntax, see Search query reference for Resource Explorer in the Amazon Web Services Resource Explorer User Guide.

This query string in the context of this operation supports only filter prefixes with optional operators. It doesn't support free-form text. For example, the string region:us* service:ec2 -tag:stage=prod includes all Amazon EC2 resources in any Amazon Web Services Region that begins with the letters us and is not tagged with a key Stage that has the value prod.

Returns:



1120
1121
1122
1123
1124
1125
1126
1127
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1120

class ListResourcesInput < Struct.new(
  :filters,
  :max_results,
  :view_arn,
  :next_token)
  SENSITIVE = [:filters]
  include Aws::Structure
end

#max_resultsInteger

The maximum number of results that you want included on each page of the response. If you do not include this parameter, it defaults to a value appropriate to the operation. If additional items exist beyond those included in the current response, the NextToken response element is present and has a value (is not null). Include that value as the NextToken request parameter in the next call to the operation to get the next part of the results.

An API operation can return fewer results than the maximum even when there are more results available. You should check NextToken after every operation to ensure that you receive all of the results.

Returns:

  • (Integer)


1120
1121
1122
1123
1124
1125
1126
1127
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1120

class ListResourcesInput < Struct.new(
  :filters,
  :max_results,
  :view_arn,
  :next_token)
  SENSITIVE = [:filters]
  include Aws::Structure
end

#next_tokenString

The parameter for receiving additional results if you receive a NextToken response in a previous request. A NextToken response indicates that more output is available. Set this parameter to the value of the previous call's NextToken response to indicate where the output should continue from. The pagination tokens expire after 24 hours.

The ListResources operation does not generate a NextToken if you set MaxResults to 1000.

Returns:

  • (String)


1120
1121
1122
1123
1124
1125
1126
1127
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1120

class ListResourcesInput < Struct.new(
  :filters,
  :max_results,
  :view_arn,
  :next_token)
  SENSITIVE = [:filters]
  include Aws::Structure
end

#view_arnString

Specifies the Amazon resource name (ARN) of the view to use for the query. If you don't specify a value for this parameter, then the operation automatically uses the default view for the Amazon Web Services Region in which you called this operation. If the Region either doesn't have a default view or if you don't have permission to use the default view, then the operation fails with a 401 Unauthorized exception.

Returns:

  • (String)


1120
1121
1122
1123
1124
1125
1126
1127
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1120

class ListResourcesInput < Struct.new(
  :filters,
  :max_results,
  :view_arn,
  :next_token)
  SENSITIVE = [:filters]
  include Aws::Structure
end